Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.position
Class NodePositionData

    java.lang.Object
      info.bioinfweb.treegraph.document.position.PositionData
          info.bioinfweb.treegraph.document.position.NodePositionData

All Implemented Interfaces:
  java.lang.Cloneable

    public class NodePositionData

extends PositionData

Field Summary
`private float` | `difAbove`
`private float` | `difBelow`
`private float` | `heightAbove`
`private float` | `heightBelow`

Constructor Summary
`NodePositionData()`

Method Summary
`float` | `getDifAbove()`
`float` | `getDifBelow()`
`float` | `getHeightAbove()`
`float` | `getHeightBelow()`
`void` | `setDifAbove(float difAbove)`
`void` | `setDifBelow(float difBelow)`
`void` | `setHeightAbove(float heightAbove)`
`void` | `setHeightBelow(float heightBelow)`

Methods inherited from class info.bioinfweb.treegraph.document.position.PositionData
`clone, contains, contains, getBottomInMillimeters, getBottomInPixels, getHeight, getLeft, getRightInMillimeters, getRightInPixels, getTop, getWidth, toRect, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### heightAbove

    private float heightAbove

### difAbove

    private float difAbove

### heightBelow

    private float heightBelow

### difBelow

    private float difBelow

Constructor Detail

### NodePositionData

    public NodePositionData()

Method Detail

### getDifAbove

    public float getDifAbove()

### setDifAbove

    public void setDifAbove(float difAbove)

### getDifBelow

    public float getDifBelow()

### setDifBelow

    public void setDifBelow(float difBelow)

### getHeightAbove

    public float getHeightAbove()

### setHeightAbove

    public void setHeightAbove(float heightAbove)

### getHeightBelow

    public float getHeightBelow()

### setHeightBelow

    public void setHeightBelow(float heightBelow)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD